Subject: Re: Screen overdraw effect
From: Kazuhiro Fujieda <[email-masked]>
To: "Alex Malinovich" <[email-masked]>
Cc: <[email-masked]>
Date: 11 Sep 2001 23:00:13 +0900

>>> On Tue, 11 Sep 2001 00:03:51 -0500
>>> "Alex Malinovich" <[email-masked]> said:

> With the new version (not even sure if
> less was one of the updates) My screen decides to go back in time after
> I finish viewing a document.
> 
> e.g.
> $ ls
> <shows directory listing>
> 
> $ less junk.txt
> <shows contents of junk.txt>
> 
> <I push "q">
> 
> "$" prompt appears at a random spot on the screen with remnants of the
> ls scattered throughout, both above and below the current prompt.

This problem is triggered by a bug in Cygwin DLL 1.3.2.
Less with the latest termcap and the 1.3.2 DLL try to recover
the previous screen, but it fails.

I fixed it a week ago, so this problem should be solved with the
upcoming 1.3.3 release. If you can't wait the release, please
try the latest nightly snapshot or start less with the -X option.
This option can disable it for saving/restoring the screen.
____
  | AIST      Kazuhiro Fujieda <[email-masked]>
  | HOKURIKU  Center for Information Science
o_/ 1990      Japan Advanced Institute of Science and Technology

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/